Bug 105939 - updfstab doesn't detect Dell provided USB Disk-on-key
Summary: updfstab doesn't detect Dell provided USB Disk-on-key
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: beta2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-09-29 18:19 UTC by Bastien Nocera
Modified: 2014-03-17 02:39 UTC (History)
2 users (show)

Fixed In Version: 1.1.33-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-10 14:39:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2003-09-29 18:19:57 UTC
SSIA

Patch below:
--- /etc/updfstab.conf.default.rpmsave  2003-07-09 21:06:09.000000000 +0100
+++ /etc/updfstab.conf.default  2003-09-29 19:16:52.000000000 +0100
@@ -57,6 +57,7 @@
 device diskonkey {
     partition 0
     match   hd diskOnKey
+    match   hd "Lexar DIGITAL FILM"
 }
  
 device microdrive {

Comment 1 Bastien Nocera 2003-09-29 22:01:43 UTC
My bad, it should use partition 1, not the disk itself:

--- /etc/updfstab.conf.default.rpmsave  2003-07-09 21:06:09.000000000 +0100
+++ /etc/updfstab.conf.default  2003-09-29 23:01:00.000000000 +0100
@@ -45,6 +45,7 @@
     partition 1
     match   hd CompactFlash
     match   hd ImageMate
+    match   hd "Lexar DIGITAL FILM"
 }
                                                                                
 device floppy {


Comment 2 Bastien Nocera 2003-10-10 14:20:45 UTC
As MacOS X and Windows seem to create the filesystem on the whole device, and
not as a partition, the original bug report comment should be used, not the
second one (#1).

Comment 3 Bill Nottingham 2003-10-10 14:39:42 UTC
Added, will be in 1.1.33-1.

Comment 4 David Juran 2004-04-22 15:29:38 UTC
I would like to point out that the DELL 64 MB DiskOnKey that
identified itself as Lexar DIGITAL FILM I took straight out of the box
had a filesystem on sda1 as opposed to sda.


Note You need to log in before you can comment on or make changes to this bug.